For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Processor Run
      • GETGet Processor Run
      • DELDelete Processor Run
      • POSTCancel Processor Run
      • GETList Processor Runs
      • POSTCreate Processor
      • GETList Processors
      • POSTUpdate Processor
      • GETList Processor Versions
      • POSTPublish Processor
      • GETGet Processor Version
      • GETGet Batch Processor Run
  • Webhook Events
LogoLogo
EndpointsLegacy

Get Processor Version

Deprecated
GET
/processors/:processorId/versions/:processorVersionId
GET
/processors/:processorId/versions/:processorVersionId
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.processorVersion.get("processor_id_here", "processor_version_id_here");
1{
2 "success": true,
3 "version": {
4 "object": "document_processor_version",
5 "id": "exv_xK9mLPqRtN3vS8wF5hB2cQ",
6 "processorId": "ex_Xj8mK2pL9nR4vT7qY5wZ",
7 "processorType": "EXTRACT",
8 "version": "draft",
9 "config": {
10 "type": "CLASSIFY",
11 "baseProcessor": "classification_performance",
12 "baseVersion": "3.2.0",
13 "classifications": [
14 {
15 "id": "my_unique_id",
16 "type": "invoice",
17 "description": "An invoice is a document that lists the items purchased and the total amount due."
18 }
19 ],
20 "classificationRules": "Remember, when it comes to differentiating between invoices and purchase orders, the most important thing to look for is the date of the document.",
21 "advancedOptions": {
22 "context": "default",
23 "advancedMultimodalEnabled": false,
24 "fixedPageLimit": 30,
25 "pageRanges": [
26 {
27 "start": 1,
28 "end": 10
29 },
30 {
31 "start": 20,
32 "end": 30
33 }
34 ]
35 },
36 "parser": {
37 "target": "markdown",
38 "chunkingStrategy": {
39 "type": "page",
40 "options": {
41 "minCharacters": 500,
42 "maxCharacters": 10000
43 }
44 },
45 "engine": "parse_performance",
46 "engineVersion": "latest",
47 "blockOptions": {
48 "figures": {
49 "enabled": true,
50 "figureImageClippingEnabled": true,
51 "advancedChartExtractionEnabled": false
52 },
53 "tables": {
54 "enabled": true,
55 "targetFormat": "html",
56 "tableHeaderContinuationEnabled": false,
57 "cellBlocksEnabled": false,
58 "agentic": {
59 "enabled": false,
60 "customInstructions": "string"
61 }
62 },
63 "text": {
64 "signatureDetectionEnabled": false,
65 "agentic": {
66 "enabled": false,
67 "customInstructions": "string"
68 }
69 },
70 "keyValue": {
71 "blankFieldFormattingEnabled": false
72 },
73 "barcodes": {
74 "imageClippingEnabled": false,
75 "readingEnabled": false
76 },
77 "formulas": {
78 "enabled": false
79 }
80 },
81 "advancedOptions": {
82 "pageRotationEnabled": true,
83 "pageRanges": [
84 {
85 "start": 1,
86 "end": 10
87 },
88 {
89 "start": 20,
90 "end": 30
91 }
92 ],
93 "excelParsingMode": "basic",
94 "excelSkipHiddenContent": false,
95 "excelUseRawCellValues": false,
96 "excelSkipCalculation": true,
97 "verticalGroupingThreshold": 1,
98 "returnOcr": {
99 "words": false
100 },
101 "alwaysConvertToPdf": false,
102 "enrichmentFormat": "xml",
103 "imageConversionQuality": "medium",
104 "formattingDetection": [
105 {
106 "type": "change_tracking"
107 }
108 ]
109 }
110 }
111 },
112 "createdAt": "2024-03-21T15:30:00Z",
113 "updatedAt": "2024-03-21T16:45:00Z",
114 "processorName": "Invoice Processor",
115 "description": "Updated extraction fields for new invoice format"
116 }
117}
Retrieve a specific version of a processor in Extend
Was this page helpful?
Previous

Get Batch Processor Run

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processorIdstringRequired

The ID of the processor.

Example: "ex_Xj8mK2pL9nR4vT7qY5wZ"

processorVersionIdstringRequired

The ID of the specific processor version to retrieve.

Example: "exv_QYk6jgHA_8CsO8rVWhyNC"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

Response

Successfully retrieved processor version
successboolean
versionobject
A ProcessorVersion object representing the requested version of the processor.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error